Bug 458598

Summary: Review Request: snowballz - a fun RTS game featuring snowball fights with penguins
Product: [Fedora] Fedora Reporter: Simon <cassmodiah>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, hdegoede, notting, oget.fedora, pahan
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-10-23 14:08:48 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 458345    
Bug Blocks:    

Description Simon 2008-08-10 14:51:51 EDT
Spec URL: http://packages.cassmodiah.de/fedora/snowballz/bugzilla/snowballz.spec
SRPM URL: http://packages.cassmodiah.de/fedora/snowballz/bugzilla/snowballz-0.9.5.1-1.fc9.src.rpm
Description: 
Take command of your army of penguins as you blaze your path to victory!
March through snow laden forests to conqueror new frontears and grow 
your small army. Ambush enemy lines with blasts of freezing snowballs.
But don't neglect your home, invaders are just over the next snow drift!
Gather fish for your cold penguins to munch on as they warm up in your
cozy igloo. It's a snowy world you don't want to miss!


Requires Rabbyt Bug #458345
https://bugzilla.redhat.com/show_bug.cgi?id=458345
Comment 2 Orcan Ogetbil 2008-10-22 02:31:15 EDT
Hi Simon,
I checked the hg copy of snowballz. It looks like they changed a lot of dependencies. Besides rabbyt, snowballz will now depend on pyglet, which depends on avlib, which depends on ffmeg, which is not in Fedora.

So, I think a 3rd party repo will be a better place to put snowballz. I will ask the ffmpeg developer of rpmfusion if he could deal with avlib. After that's done we can take care of pyglet and finally of snowballz. Do you have an rpmfusion account?
Comment 3 Simon 2008-10-22 02:48:59 EDT
yeah i have a rpmfusion account...

You know, this version will be the last open source version of this game?
Comment 4 Simon 2008-10-23 14:08:48 EDT
CLOSED

* last open source version
* just compatible with python-rabbyt 0.8.1 or 0.8.0
Comment 5 Hans de Goede 2008-11-17 05:37:34 EST
Erm, I really so no reason for this to go to rpmfusion. Yes the current development version of snowballz requires pyglet, which can use avbin (not avlib but avbin!), it CAN use that, as it is python using ctypes, it will dynamically try to load it when needed.

However pyglet will work fine without avbin, it just wont be able to play video and compressed audio files.

Now the latter may be a problem as the hg versions of snowballz contains a few music files, some in .ogg other in .mp3 format. This is not an unrecoverable problem though, the mp3's can be converted to ogg before being put into Fedora, and either snowballz, or preferably pyglet can (and should) be patched to support ogg files without needing avbin. I'm use the pyglet developers when this is discussed with them will be very understanding about the need for free distro's like Fedora and Debian to be able to play back ogg files without requiring avbin.
Comment 6 Orcan Ogetbil 2008-11-17 10:30:44 EST
I'm not sure Hans. I talked to the main avbin developer, who is also the main pyglet developer. He doesn't want to work on such issues. But he says he would accept patches. You're free to try your chances with him :)
Comment 7 Hans de Goede 2008-11-18 05:21:09 EST
(In reply to comment #6)
> I'm not sure Hans. I talked to the main avbin developer, who is also the main
> pyglet developer. He doesn't want to work on such issues. But he says he would
> accept patches.

If he will accept patches (to pyglet) to support .ogg using other means then avbin, then clearly the right way to proceed with this is to do this in Fedora, and write a patch for pyglet to support ogg/vorbis audio playback. Similar work has been done for many other games in Fedora.
Comment 8 Orcan Ogetbil 2008-11-19 00:56:31 EST
If you have the will and the energy, go for it. I don't want to dig into the pyglet code, but I can be the reviewer if someone does.